Create New Record Assignments

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
POST /profiles/{profile_id}/users/{user_id}/record_assignments

Path parameters

  • profile_id string Required

    id of the profile

  • user_id string Required

    id of the user

application/json

Body

  • page_id number Required
  • record_id number Required

Responses

  • 201 application/json

    Created

    Hide response attribute Show response attribute object
    • id number Required

      the created assignment id

POST /profiles/{profile_id}/users/{user_id}/record_assignments
curl \
 --request POST 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/users/self/record_assignments' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"page_id":790777,"record_id":4}'
Request examples
{
  "page_id": 790777,
  "record_id": 4
}
Response examples (201)
[
  {
    "id": 529
  },
  {
    "id": 532
  }
]